Bug 187058 - textproc/ansifilter: Update to version 1.7
Summary: textproc/ansifilter: Update to version 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.77 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:06 UTC
- Update to version 1.7
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:13:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:22:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:22:23 UTC
Author: miwi
Date: Thu Feb 27 09:22:14 2014
New Revision: 346297
URL: http://svnweb.freebsd.org/changeset/ports/346297
QAT: https://qat.redports.org/buildarchive/r346297/

Log:
  - Update to 1.7
  
  PR:		187058

Modified:
  head/textproc/ansifilter/Makefile
  head/textproc/ansifilter/distinfo

Modified: head/textproc/ansifilter/Makefile
==============================================================================
--- head/textproc/ansifilter/Makefile	Thu Feb 27 09:21:38 2014	(r346296)
+++ head/textproc/ansifilter/Makefile	Thu Feb 27 09:22:14 2014	(r346297)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ansifilter
-PORTVERSION=	1.4
+PORTVERSION=	1.7
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.andre-simon.de/zip/
 
@@ -11,27 +11,55 @@ COMMENT=	Customizable ANSI Code Converte
 
 LICENSE=	GPLv3
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
+WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_BZIP2=	yes
+USES=		gmake
 MAKEFILE=	makefile
-MAKE_ARGS=	CC="${CXX}" \
-		CFLAGS="${CXXFLAGS} ${CPPFLAGS} -c" \
-		LDFLAGS="${LDFLAGS}"
 
+PORTDOCS=	ChangeLog README
 PLIST_FILES=	bin/${PORTNAME} man/man1/${PORTNAME}.1.gz
 
-PORTDOCS=	ChangeLog README
+OPTIONS_DEFINE=		DOCS QT4
+
+QT4_USES=		qmake:norecursive
+QT4_USE=		QT4=gui,moc_build
+QT4_ALL_TARGET=		all all-gui
+QT4_PLIST_FILES=	bin/${PORTNAME}-gui
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MQT4}
+CONFIGURE_WRKSRC=	${WRKSRC}/src/qt-gui
+QMAKE_SOURCE_PATH=	${CONFIGURE_WRKSRC}/${PORTNAME}-gui.pro
+DESKTOP_ENTRIES=	"ANSIFilter" "" "" "${PORTNAME}-gui" \
+			"TextTools;Utility;Qt;" ""
+.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|^PREFIX =|PREFIX ?=|' ${WRKSRC}/${MAKEFILE}
+		'/QMAKE/s|^|#|' ${WRKSRC}/${MAKEFILE}
+	@${REINPLACE_CMD} -e \
+		's|^CC=|CC?=| ; \
+		 s|^CFLAGS=|CXXFLAGS+=| ; \
+		 s|-O2|| ; \
+		 s|$$(CC)|$$(CXX)| ; \
+		 s|$$(CFLAGS)|$$(CXXFLAGS)|' ${WRKSRC}/src/${MAKEFILE}
+
+pre-build:
+	@${RM} -f ${WRKSRC}/src/qt-gui/moc_*.cpp
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/man/${PORTNAME}.1.gz ${STAGEDIR}${MANPREFIX}/man/man1
+.if ${PORT_OPTIONS:MQT4}
+	(cd ${WRKSRC}/src/qt-gui && ${INSTALL_PROGRAM} ${PORTNAME}-gui \
+		${STAGEDIR}${PREFIX}/bin)
+.endif
+	(cd ${WRKSRC}/src && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC}/man && ${INSTALL_MAN} ${PORTNAME}.1.gz \
+		${STAGEDIR}${MANPREFIX}/man/man1)
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_MAN} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} \
+		${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/textproc/ansifilter/distinfo
==============================================================================
--- head/textproc/ansifilter/distinfo	Thu Feb 27 09:21:38 2014	(r346296)
+++ head/textproc/ansifilter/distinfo	Thu Feb 27 09:22:14 2014	(r346297)
@@ -1,2 +1,2 @@
-SHA256 (ansifilter-1.4.tar.bz2) = b63d9c471853ff10e229cfced9cb4c3c6ab12fc56e0e491e33e0aaf12490a52e
-SIZE (ansifilter-1.4.tar.bz2) = 46383
+SHA256 (ansifilter-1.7.tar.bz2) = a7e8ecec282bf2d823f89c1ae5cd7ca9da4e49f3dad98df052ea48ffd9a4975c
+SIZE (ansifilter-1.7.tar.bz2) = 133803
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"